Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::RenderTarget::Impl Class Reference

RenderSystem specific interface for a RenderTarget; this should be subclassed by RenderSystems. More...

`#include <OgreRenderTarget.h>`

List of all members.

## Protected Member Functions
| ~Impl ()
| Declared protected as interface is never used for destruction.

## Detailed Description

RenderSystem specific interface for a RenderTarget; this should be subclassed by RenderSystems.

Definition at line 295 of file OgreRenderTarget.h.

## Constructor & Destructor Documentation

Ogre::RenderTarget::Impl::~Impl | ( |  | ) | `[protected]`

| Declared protected as interface is never used for destruction. gcc will issue a warning here: `class Impl' has virtual functions but non-virtual destructor. This is no problem because this interface is never used to delete an object. Definition at line 303 of file OgreRenderTarget.h.

The documentation for this class was generated from the following file:

- OgreRenderTarget.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:52:36 2007